/*===========================================================================*/
/*   (Rgc/rgcdfa.scm)                                                        */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:19:23 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/libbacktrace/usr/lib64/bigloo/4.5b  -srfi enable-resolv -srfi enable-libbacktrace -srfi enable-libbacktrace -srfi enable-unistring -srfi enable-pcre2 -srfi enable-gmp -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/lib/bigloo/4.5b -rm -copt -w -lib-dir /builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/lib/bigloo/4.5b -O4 -mklib -unsafe -safee -cc gcc -fsharing -q -no-hello -p -srfi bigloo-profile -c Rgc/rgcdfa.scm -o objs/obj_p/Rgc/rgcdfa.o) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___RGC_DFA_TYPE_DEFINITIONS
#define BGL___RGC_DFA_TYPE_DEFINITIONS
#endif // BGL___RGC_DFA_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

static obj_t BGl_symbol1671z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_symbol1674z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_za2statesza2z00zz__rgc_dfaz00 = BUNSPEC;
extern obj_t BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(obj_t, obj_t);
static obj_t BGl_symbol1678z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_makezd2statezd2zz__rgc_dfaz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_statezd2positionszd2zz__rgc_dfaz00(obj_t);
static obj_t BGl_z62statezd2positionszb0zz__rgc_dfaz00(obj_t, obj_t);
static obj_t BGl_getzd2newzd2statezd2numzd2zz__rgc_dfaz00(void);
static obj_t BGl_symbol1681z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_symbol1684z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_requirezd2initializa7ationz75zz__rgc_dfaz00 = BUNSPEC;
extern obj_t BGl_forzd2eachzd2rgcsetz00zz__rgc_setz00(obj_t, obj_t);
static obj_t BGl_z62statezf3z91zz__rgc_dfaz00(obj_t, obj_t);
static obj_t BGl_symbol1691z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_symbol1694z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_symbol1697z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_symbol1699z00zz__rgc_dfaz00 = BUNSPEC;
extern obj_t bgl_display_obj(obj_t, obj_t);
extern obj_t BGl_typezd2errorzd2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_stateszd2listzd2zz__rgc_dfaz00(void);
static obj_t BGl_z62getzd2initialzd2statez62zz__rgc_dfaz00(obj_t);
static obj_t BGl_toplevelzd2initzd2zz__rgc_dfaz00(void);
static obj_t BGl_z62statezd2transitionszb0zz__rgc_dfaz00(obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31213ze3ze5zz__rgc_dfaz00(obj_t, obj_t);
static obj_t BGl_genericzd2initzd2zz__rgc_dfaz00(void);
static obj_t BGl_objectzd2initzd2zz__rgc_dfaz00(void);
static obj_t BGl_inputzd2symbolzd2setz00zz__rgc_dfaz00(obj_t, obj_t);
extern obj_t string_append_3(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31216ze3ze5zz__rgc_dfaz00(obj_t, obj_t);
extern obj_t bstring_to_symbol(obj_t);
BGL_EXPORTED_DECL obj_t BGl_statezd2namezd2zz__rgc_dfaz00(obj_t);
static obj_t BGl_methodzd2initzd2zz__rgc_dfaz00(void);
static obj_t BGl_z62statezd2namezb0zz__rgc_dfaz00(obj_t, obj_t);
static obj_t BGl_z62printzd2dfazb0zz__rgc_dfaz00(obj_t, obj_t);
static obj_t BGl_za2initialzd2stateza2zd2zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_statezd2addzd2transitionz12z12zz__rgc_dfaz00(obj_t, obj_t, obj_t);
static obj_t BGl_z62zc3z04anonymousza31271ze3ze5zz__rgc_dfaz00(obj_t, obj_t);
extern obj_t BGl_hashtablezd2ze3listz31zz__hashz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_printzd2dfazd2zz__rgc_dfaz00(obj_t);
static obj_t BGl_list1640z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_list1643z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_list1646z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_list1649z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_z62nodezd2ze3dfaz53zz__rgc_dfaz00(obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_list1653z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_list1657z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_list1660z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_list1663z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_list1666z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_list1669z00zz__rgc_dfaz00 = BUNSPEC;
extern obj_t BGl_makezd2hashtablezd2zz__hashz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__rgc_dfaz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__rgc_rulesz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__rgc_setz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__rgc_configz00(long, char *);
static obj_t BGl_list1670z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_list1673z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_list1676z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_list1677z00zz__rgc_dfaz00 = BUNSPEC;
extern obj_t BGl_rgcsetzd2addz12zc0zz__rgc_setz00(obj_t, long);
static obj_t BGl_list1680z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_list1683z00zz__rgc_dfaz00 = BUNSPEC;
extern obj_t BGl_treezd2maxzd2charz00zz__rgc_rulesz00(void);
BGL_EXPORTED_DECL obj_t BGl_nodezd2ze3dfaz31zz__rgc_dfaz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_resetzd2dfaz12zc0zz__rgc_dfaz00(void);
extern obj_t create_struct(obj_t, int);
static obj_t BGl_list1690z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_list1693z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_list1696z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_cnstzd2initzd2zz__rgc_dfaz00(void);
static obj_t BGl_importedzd2moduleszd2initz00zz__rgc_dfaz00(void);
static obj_t BGl_gczd2rootszd2initz00zz__rgc_dfaz00(void);
static obj_t BGl_initzd2statesz12zc0zz__rgc_dfaz00(void);
static obj_t BGl_z62resetzd2dfaz12za2zz__rgc_dfaz00(obj_t);
static long BGl_bucketzd2lenzd2zz__rgc_dfaz00;
BGL_EXPORTED_DECL bool_t BGl_statezf3zf3zz__rgc_dfaz00(obj_t);
BGL_EXPORTED_DECL obj_t BGl_getzd2initialzd2statez00zz__rgc_dfaz00(void);
BGL_EXPORTED_DECL obj_t BGl_statezd2transitionszd2zz__rgc_dfaz00(obj_t);
extern obj_t BGl_rgcsetzd2orz12zc0zz__rgc_setz00(obj_t, obj_t);
static obj_t BGl_za2statezd2numza2zd2zz__rgc_dfaz00 = BUNSPEC;
extern obj_t BGl_hashtablezd2putz12zc0zz__hashz00(obj_t, obj_t, obj_t);
extern obj_t BGl_gensymz00zz__r4_symbols_6_4z00(obj_t);
static obj_t BGl_profzd2initzd2zz__rgc_dfaz00(void);
static obj_t BGl_symbol1634z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_symbol1641z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_symbol1644z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_symbol1647z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_symbol1650z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_symbol1654z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_symbol1658z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_symbol1661z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_symbol1664z00zz__rgc_dfaz00 = BUNSPEC;
static obj_t BGl_symbol1667z00zz__rgc_dfaz00 = BUNSPEC;
extern obj_t BGl_makezd2rgcsetzd2zz__rgc_setz00(long);
extern obj_t BGl_hashtablezd2getzd2zz__hashz00(obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_printzd2dfazd2envz00zz__rgc_dfaz00, BgL_bgl_za762printza7d2dfaza7b1703za7, BGl_z62printzd2dfazb0zz__rgc_dfaz00, 0L, BUNSPEC, 1 );
extern obj_t BGl_rgcsetzd2ze3hashzd2envze3zz__rgc_setz00;
DEFINE_EXPORT_BGL_PROCEDURE( BGl_resetzd2dfaz12zd2envz12zz__rgc_dfaz00, BgL_bgl_za762resetza7d2dfaza711704za7, BGl_z62resetzd2dfaz12za2zz__rgc_dfaz00, 0L, BUNSPEC, 0 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_nodezd2ze3dfazd2envze3zz__rgc_dfaz00, BgL_bgl_za762nodeza7d2za7e3dfa1705za7, BGl_z62nodezd2ze3dfaz53zz__rgc_dfaz00, 0L, BUNSPEC, 3 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_statezd2namezd2envz00zz__rgc_dfaz00, BgL_bgl_za762stateza7d2nameza71706za7, BGl_z62statezd2namezb0zz__rgc_dfaz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1700z00zz__rgc_dfaz00, BgL_bgl_string1700za700za7za7_1707za7, "state", 5 );
DEFINE_STRING( BGl_string1701z00zz__rgc_dfaz00, BgL_bgl_string1701za700za7za7_1708za7, "==================================================", 50 );
DEFINE_STRING( BGl_string1702z00zz__rgc_dfaz00, BgL_bgl_string1702za700za7za7_1709za7, "__rgc_dfa", 9 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_statezd2transitionszd2envz00zz__rgc_dfaz00, BgL_bgl_za762stateza7d2trans1710z00, BGl_z62statezd2transitionszb0zz__rgc_dfaz00, 0L, BUNSPEC, 1 );
DEFINE_STRING( BGl_string1631z00zz__rgc_dfaz00, BgL_bgl_string1631za700za7za7_1711za7, "/builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/runtime/Rgc/rgcdfa.scm", 74 );
DEFINE_STRING( BGl_string1632z00zz__rgc_dfaz00, BgL_bgl_string1632za700za7za7_1712za7, "&node->dfa", 10 );
DEFINE_STRING( BGl_string1633z00zz__rgc_dfaz00, BgL_bgl_string1633za700za7za7_1713za7, "vector", 6 );
DEFINE_STRING( BGl_string1635z00zz__rgc_dfaz00, BgL_bgl_string1635za700za7za7_1714za7, "__state", 7 );
DEFINE_STRING( BGl_string1636z00zz__rgc_dfaz00, BgL_bgl_string1636za700za7za7_1715za7, "STATE-", 6 );
DEFINE_STRING( BGl_string1637z00zz__rgc_dfaz00, BgL_bgl_string1637za700za7za7_1716za7, "-", 1 );
DEFINE_STRING( BGl_string1638z00zz__rgc_dfaz00, BgL_bgl_string1638za700za7za7_1717za7, "========= DFA ====================================", 50 );
DEFINE_STRING( BGl_string1639z00zz__rgc_dfaz00, BgL_bgl_string1639za700za7za7_1718za7, "state: ", 7 );
DEFINE_STRING( BGl_string1642z00zz__rgc_dfaz00, BgL_bgl_string1642za700za7za7_1719za7, "for-each", 8 );
DEFINE_STRING( BGl_string1645z00zz__rgc_dfaz00, BgL_bgl_string1645za700za7za7_1720za7, "lambda", 6 );
DEFINE_STRING( BGl_string1648z00zz__rgc_dfaz00, BgL_bgl_string1648za700za7za7_1721za7, "trans", 5 );
DEFINE_STRING( BGl_string1651z00zz__rgc_dfaz00, BgL_bgl_string1651za700za7za7_1722za7, "print", 5 );
DEFINE_STRING( BGl_string1652z00zz__rgc_dfaz00, BgL_bgl_string1652za700za7za7_1723za7, "   ", 3 );
DEFINE_STRING( BGl_string1655z00zz__rgc_dfaz00, BgL_bgl_string1655za700za7za7_1724za7, "car", 3 );
DEFINE_STRING( BGl_string1656z00zz__rgc_dfaz00, BgL_bgl_string1656za700za7za7_1725za7, " [", 2 );
DEFINE_STRING( BGl_string1659z00zz__rgc_dfaz00, BgL_bgl_string1659za700za7za7_1726za7, "if", 2 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_getzd2initialzd2statezd2envzd2zz__rgc_dfaz00, BgL_bgl_za762getza7d2initial1727z00, BGl_z62getzd2initialzd2statez62zz__rgc_dfaz00, 0L, BUNSPEC, 0 );
DEFINE_STRING( BGl_string1662z00zz__rgc_dfaz00, BgL_bgl_string1662za700za7za7_1728za7, "and", 3 );
DEFINE_STRING( BGl_string1665z00zz__rgc_dfaz00, BgL_bgl_string1665za700za7za7_1729za7, "<", 1 );
DEFINE_STRING( BGl_string1668z00zz__rgc_dfaz00, BgL_bgl_string1668za700za7za7_1730za7, "let", 3 );
DEFINE_STRING( BGl_string1672z00zz__rgc_dfaz00, BgL_bgl_string1672za700za7za7_1731za7, "c", 1 );
DEFINE_STRING( BGl_string1675z00zz__rgc_dfaz00, BgL_bgl_string1675za700za7za7_1732za7, "integer->char", 13 );
DEFINE_STRING( BGl_string1679z00zz__rgc_dfaz00, BgL_bgl_string1679za700za7za7_1733za7, "or", 2 );
DEFINE_STRING( BGl_string1682z00zz__rgc_dfaz00, BgL_bgl_string1682za700za7za7_1734za7, "char-alphabetic?", 16 );
DEFINE_STRING( BGl_string1685z00zz__rgc_dfaz00, BgL_bgl_string1685za700za7za7_1735za7, "char-numeric?", 13 );
DEFINE_STRING( BGl_string1686z00zz__rgc_dfaz00, BgL_bgl_string1686za700za7za7_1736za7, "ascii", 5 );
DEFINE_STRING( BGl_string1687z00zz__rgc_dfaz00, BgL_bgl_string1687za700za7za7_1737za7, "special", 7 );
DEFINE_STRING( BGl_string1688z00zz__rgc_dfaz00, BgL_bgl_string1688za700za7za7_1738za7, "]", 1 );
DEFINE_STRING( BGl_string1689z00zz__rgc_dfaz00, BgL_bgl_string1689za700za7za7_1739za7, "  -->  ", 7 );
DEFINE_STRING( BGl_string1692z00zz__rgc_dfaz00, BgL_bgl_string1692za700za7za7_1740za7, "__state-number", 14 );
DEFINE_STRING( BGl_string1695z00zz__rgc_dfaz00, BgL_bgl_string1695za700za7za7_1741za7, "cdr", 3 );
DEFINE_STRING( BGl_string1698z00zz__rgc_dfaz00, BgL_bgl_string1698za700za7za7_1742za7, "__state-transitions", 19 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_statezf3zd2envz21zz__rgc_dfaz00, BgL_bgl_za762stateza7f3za791za7za71743za7, BGl_z62statezf3z91zz__rgc_dfaz00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_statezd2positionszd2envz00zz__rgc_dfaz00, BgL_bgl_za762stateza7d2posit1744z00, BGl_z62statezd2positionszb0zz__rgc_dfaz00, 0L, BUNSPEC, 1 );
extern obj_t BGl_rgcsetzd2equalzf3zd2envzf3zz__rgc_setz00;

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_symbol1671z00zz__rgc_dfaz00) );
ADD_ROOT( (void *)(&BGl_symbol1674z00zz__rgc_dfaz00) );
ADD_ROOT( (void *)(&BGl_za2statesza2z00zz__rgc_dfaz00) );
ADD_ROOT( (void *)(&BGl_symbol1678z00zz__rgc_dfaz00) );
ADD_ROOT( (void *)(&BGl_symbol1681z00zz__rgc_dfaz00) );
ADD_ROOT( (void *)(&BGl_symbol1684z00zz__rgc_dfaz00) );
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__rgc_dfaz00) );
ADD_ROOT( (void *)(&BGl_symbol1691z00zz__rgc_dfaz00) );
ADD_ROOT( (void *)(&BGl_symbol1694z00zz__rgc_dfaz00) );
ADD_ROOT( (void *)(&BGl_symbol1697z00zz__rgc_dfaz00) );
ADD_ROOT( (void *)(&BGl_symbol1699z00zz__rgc_dfaz00) );
ADD_ROOT( (void *)(&BGl_za2initialzd2stateza2zd2zz__rgc_dfaz00) );
ADD_ROOT( (void *)(&BGl_list1640z00zz__rgc_dfaz00) );
ADD_ROOT( (void *)(&BGl_list1643z00zz__rgc_dfaz00) );
ADD_ROOT( (void *)(&BGl_list1646z00zz__rgc_dfaz00) );
ADD_ROOT( (void *)(&BGl_list1649z00zz__rgc_dfaz00) );
ADD_ROOT( (void *)(&BGl_list1653z00zz__rgc_dfaz00) );
ADD_ROOT( (void *)(&BGl_list1657z00zz__rgc_dfaz00) );
ADD_ROOT( (void *)(&BGl_list1660z00zz__rgc_dfaz00) );
ADD_ROOT( (void *)(&BGl_list1663z00zz__rgc_dfaz00) );
ADD_ROOT( (void *)(&BGl_list1666z00zz__rgc_dfaz00) );
ADD_ROOT( (void *)(&BGl_list1669z00zz__rgc_dfaz00) );
ADD_ROOT( (void *)(&BGl_list1670z00zz__rgc_dfaz00) );
ADD_ROOT( (void *)(&BGl_list1673z00zz__rgc_dfaz00) );
ADD_ROOT( (void *)(&BGl_list1676z00zz__rgc_dfaz00) );
ADD_ROOT( (void *)(&BGl_list1677z00zz__rgc_dfaz00) );
ADD_ROOT( (void *)(&BGl_list1680z00zz__rgc_dfaz00) );
ADD_ROOT( (void *)(&BGl_list1683z00zz__rgc_dfaz00) );
ADD_ROOT( (void *)(&BGl_list1690z00zz__rgc_dfaz00) );
ADD_ROOT( (void *)(&BGl_list1693z00zz__rgc_dfaz00) );
ADD_ROOT( (void *)(&BGl_list1696z00zz__rgc_dfaz00) );
ADD_ROOT( (void *)(&BGl_za2statezd2numza2zd2zz__rgc_dfaz00) );
ADD_ROOT( (void *)(&BGl_symbol1634z00zz__rgc_dfaz00) );
ADD_ROOT( (void *)(&BGl_symbol1641z00zz__rgc_dfaz00) );
ADD_ROOT( (void *)(&BGl_symbol1644z00zz__rgc_dfaz00) );
ADD_ROOT( (void *)(&BGl_symbol1647z00zz__rgc_dfaz00) );
ADD_ROOT( (void *)(&BGl_symbol1650z00zz__rgc_dfaz00) );
ADD_ROOT( (void *)(&BGl_symbol1654z00zz__rgc_dfaz00) );
ADD_ROOT( (void *)(&BGl_symbol1658z00zz__rgc_dfaz00) );
ADD_ROOT( (void *)(&BGl_symbol1661z00zz__rgc_dfaz00) );
ADD_ROOT( (void *)(&BGl_symbol1664z00zz__rgc_dfaz00) );
ADD_ROOT( (void *)(&BGl_symbol1667z00zz__rgc_dfaz00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* prof association table */
static obj_t write_bprof_table() {
   extern obj_t bprof_port;
   if( bprof_port == BUNSPEC ) bprof_port = (obj_t)fopen( "bmon.out", "w" );
   if( bprof_port ) {
      fputs( "(\"module-initialization\" \"BGl_modulezd2initializa7ationz75zz__rgc_dfaz00\")\n", (FILE *)bprof_port );
      fputs( "((\"toplevel-init\" \"Rgc/rgcdfa.scm\" 963) \"BGl_toplevelzd2initzd2zz__rgc_dfaz00\")\n", (FILE *)bprof_port );
      fputs( "((\"node->dfa\" \"Rgc/rgcdfa.scm\" 2384) \"BGl_nodezd2ze3dfaz31zz__rgc_dfaz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&node->dfa\" \"Rgc/rgcdfa.scm\" 2384) \"BGl_z62nodezd2ze3dfaz53zz__rgc_dfaz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1213>\" \"Rgc/rgcdfa.scm\" 3471) \"BGl_z62zc3z04anonymousza31213ze3ze5zz__rgc_dfaz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1216>\" \"Rgc/rgcdfa.scm\" 3583) \"BGl_z62zc3z04anonymousza31216ze3ze5zz__rgc_dfaz00\")\n", (FILE *)bprof_port );
      fputs( "((\"reset-dfa!\" \"Rgc/rgcdfa.scm\" 4639) \"BGl_resetzd2dfaz12zc0zz__rgc_dfaz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&reset-dfa!\" \"Rgc/rgcdfa.scm\" 4639) \"BGl_z62resetzd2dfaz12za2zz__rgc_dfaz00\")\n", (FILE *)bprof_port );
      fputs( "((\"get-initial-state\" \"Rgc/rgcdfa.scm\" 5254) \"BGl_getzd2initialzd2statez00zz__rgc_dfaz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&get-initial-state\" \"Rgc/rgcdfa.scm\" 5254) \"BGl_z62getzd2initialzd2statez62zz__rgc_dfaz00\")\n", (FILE *)bprof_port );
      fputs( "((\"states-list\" \"Rgc/rgcdfa.scm\" 6211) \"BGl_stateszd2listzd2zz__rgc_dfaz00\")\n", (FILE *)bprof_port );
      fputs( "((\"init-states!\" \"Rgc/rgcdfa.scm\" 6487) \"BGl_initzd2statesz12zc0zz__rgc_dfaz00\")\n", (FILE *)bprof_port );
      fputs( "((\"get-new-state-num\" \"Rgc/rgcdfa.scm\" 7095) \"BGl_getzd2newzd2statezd2numzd2zz__rgc_dfaz00\")\n", (FILE *)bprof_port );
      fputs( "((\"make-state\" \"Rgc/rgcdfa.scm\" 7626) \"BGl_makezd2statezd2zz__rgc_dfaz00\")\n", (FILE *)bprof_port );
      fputs( "((\"state-positions\" \"Rgc/rgcdfa.scm\" 8613) \"BGl_statezd2positionszd2zz__rgc_dfaz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&state-positions\" \"Rgc/rgcdfa.scm\" 8613) \"BGl_z62statezd2positionszb0zz__rgc_dfaz00\")\n", (FILE *)bprof_port );
      fputs( "((\"state-name\" \"Rgc/rgcdfa.scm\" 8901) \"BGl_statezd2namezd2zz__rgc_dfaz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&state-name\" \"Rgc/rgcdfa.scm\" 8901) \"BGl_z62statezd2namezb0zz__rgc_dfaz00\")\n", (FILE *)bprof_port );
      fputs( "((\"state-transitions\" \"Rgc/rgcdfa.scm\" 9461) \"BGl_statezd2transitionszd2zz__rgc_dfaz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&state-transitions\" \"Rgc/rgcdfa.scm\" 9461) \"BGl_z62statezd2transitionszb0zz__rgc_dfaz00\")\n", (FILE *)bprof_port );
      fputs( "((\"state?\" \"Rgc/rgcdfa.scm\" 9750) \"BGl_statezf3zf3zz__rgc_dfaz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&state?\" \"Rgc/rgcdfa.scm\" 9750) \"BGl_z62statezf3z91zz__rgc_dfaz00\")\n", (FILE *)bprof_port );
      fputs( "((\"state-add-transition!\" \"Rgc/rgcdfa.scm\" 10013) \"BGl_statezd2addzd2transitionz12z12zz__rgc_dfaz00\")\n", (FILE *)bprof_port );
      fputs( "((\"input-symbol-set\" \"Rgc/rgcdfa.scm\" 10449) \"BGl_inputzd2symbolzd2setz00zz__rgc_dfaz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&<@anonymous:1271>\" \"Rgc/rgcdfa.scm\" 10575) \"BGl_z62zc3z04anonymousza31271ze3ze5zz__rgc_dfaz00\")\n", (FILE *)bprof_port );
      fputs( "((\"print-dfa\" \"Rgc/rgcdfa.scm\" 10908) \"BGl_printzd2dfazd2zz__rgc_dfaz00\")\n", (FILE *)bprof_port );
      fputs( "((\"&print-dfa\" \"Rgc/rgcdfa.scm\" 10908) \"BGl_z62printzd2dfazb0zz__rgc_dfaz00\")\n", (FILE *)bprof_port );
      fputs( "(\"CONS\" \"make_pair\")\n", (FILE *)bprof_port );
      fputs( "(\"%STRING->SYMBOL\" \"make_symbol\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-STRING\" \"string_to_bstring_len\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-OUTPUT-PORT\" \"bgl_make_output_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-INPUT-PORT\" \"bgl_make_input_port\")\n", (FILE *)bprof_port );
      fputs( "(\"%MAKE-ERROR-PORT\" \"make_error_port\")\n", (FILE *)bprof_port );
   }
   return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__rgc_dfaz00(long BgL_checksumz00_2100, char * BgL_fromz00_2101)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__rgc_dfaz00))
{ 
BGl_requirezd2initializa7ationz75zz__rgc_dfaz00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__rgc_dfaz00(); 
BGl_cnstzd2initzd2zz__rgc_dfaz00(); 
BGl_importedzd2moduleszd2initz00zz__rgc_dfaz00(); 
BGl_toplevelzd2initzd2zz__rgc_dfaz00(); 
return 
BGl_profzd2initzd2zz__rgc_dfaz00();}  else 
{ 
return BUNSPEC;} } 

}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__rgc_dfaz00(void)
{
{ /* Rgc/rgcdfa.scm 15 */
BGl_symbol1634z00zz__rgc_dfaz00 = 
bstring_to_symbol(BGl_string1635z00zz__rgc_dfaz00); 
BGl_symbol1641z00zz__rgc_dfaz00 = 
bstring_to_symbol(BGl_string1642z00zz__rgc_dfaz00); 
BGl_symbol1644z00zz__rgc_dfaz00 = 
bstring_to_symbol(BGl_string1645z00zz__rgc_dfaz00); 
BGl_symbol1647z00zz__rgc_dfaz00 = 
bstring_to_symbol(BGl_string1648z00zz__rgc_dfaz00); 
BGl_list1646z00zz__rgc_dfaz00 = 
MAKE_YOUNG_PAIR(BGl_symbol1647z00zz__rgc_dfaz00, BNIL); 
BGl_symbol1650z00zz__rgc_dfaz00 = 
bstring_to_symbol(BGl_string1651z00zz__rgc_dfaz00); 
BGl_symbol1654z00zz__rgc_dfaz00 = 
bstring_to_symbol(BGl_string1655z00zz__rgc_dfaz00); 
BGl_list1653z00zz__rgc_dfaz00 = 
MAKE_YOUNG_PAIR(BGl_symbol1654z00zz__rgc_dfaz00, 
MAKE_YOUNG_PAIR(BGl_symbol1647z00zz__rgc_dfaz00, BNIL)); 
BGl_symbol1658z00zz__rgc_dfaz00 = 
bstring_to_symbol(BGl_string1659z00zz__rgc_dfaz00); 
BGl_symbol1661z00zz__rgc_dfaz00 = 
bstring_to_symbol(BGl_string1662z00zz__rgc_dfaz00); 
BGl_symbol1664z00zz__rgc_dfaz00 = 
bstring_to_symbol(BGl_string1665z00zz__rgc_dfaz00); 
BGl_list1663z00zz__rgc_dfaz00 = 
MAKE_YOUNG_PAIR(BGl_symbol1664z00zz__rgc_dfaz00, 
MAKE_YOUNG_PAIR(BGl_list1653z00zz__rgc_dfaz00, 
MAKE_YOUNG_PAIR(
BINT(256L), BNIL))); 
BGl_symbol1667z00zz__rgc_dfaz00 = 
bstring_to_symbol(BGl_string1668z00zz__rgc_dfaz00); 
BGl_symbol1671z00zz__rgc_dfaz00 = 
bstring_to_symbol(BGl_string1672z00zz__rgc_dfaz00); 
BGl_symbol1674z00zz__rgc_dfaz00 = 
bstring_to_symbol(BGl_string1675z00zz__rgc_dfaz00); 
BGl_list1673z00zz__rgc_dfaz00 = 
MAKE_YOUNG_PAIR(BGl_symbol1674z00zz__rgc_dfaz00, 
MAKE_YOUNG_PAIR(BGl_list1653z00zz__rgc_dfaz00, BNIL)); 
BGl_list1670z00zz__rgc_dfaz00 = 
MAKE_YOUNG_PAIR(BGl_symbol1671z00zz__rgc_dfaz00, 
MAKE_YOUNG_PAIR(BGl_list1673z00zz__rgc_dfaz00, BNIL)); 
BGl_list1669z00zz__rgc_dfaz00 = 
MAKE_YOUNG_PAIR(BGl_list1670z00zz__rgc_dfaz00, BNIL); 
BGl_symbol1678z00zz__rgc_dfaz00 = 
bstring_to_symbol(BGl_string1679z00zz__rgc_dfaz00); 
BGl_symbol1681z00zz__rgc_dfaz00 = 
bstring_to_symbol(BGl_string1682z00zz__rgc_dfaz00); 
BGl_list1680z00zz__rgc_dfaz00 = 
MAKE_YOUNG_PAIR(BGl_symbol1681z00zz__rgc_dfaz00, 
MAKE_YOUNG_PAIR(BGl_symbol1671z00zz__rgc_dfaz00, BNIL)); 
BGl_symbol1684z00zz__rgc_dfaz00 = 
bstring_to_symbol(BGl_string1685z00zz__rgc_dfaz00); 
BGl_list1683z00zz__rgc_dfaz00 = 
MAKE_YOUNG_PAIR(BGl_symbol1684z00zz__rgc_dfaz00, 
MAKE_YOUNG_PAIR(BGl_symbol1671z00zz__rgc_dfaz00, BNIL)); 
BGl_list1677z00zz__rgc_dfaz00 = 
MAKE_YOUNG_PAIR(BGl_symbol1678z00zz__rgc_dfaz00, 
MAKE_YOUNG_PAIR(BGl_list1680z00zz__rgc_dfaz00, 
MAKE_YOUNG_PAIR(BGl_list1683z00zz__rgc_dfaz00, BNIL))); 
BGl_list1676z00zz__rgc_dfaz00 = 
MAKE_YOUNG_PAIR(BGl_symbol1658z00zz__rgc_dfaz00, 
MAKE_YOUNG_PAIR(BGl_list1677z00zz__rgc_dfaz00, 
MAKE_YOUNG_PAIR(BGl_symbol1671z00zz__rgc_dfaz00, 
MAKE_YOUNG_PAIR(BGl_string1686z00zz__rgc_dfaz00, BNIL)))); 
BGl_list1666z00zz__rgc_dfaz00 = 
MAKE_YOUNG_PAIR(BGl_symbol1667z00zz__rgc_dfaz00, 
MAKE_YOUNG_PAIR(BGl_list1669z00zz__rgc_dfaz00, 
MAKE_YOUNG_PAIR(BGl_list1676z00zz__rgc_dfaz00, BNIL))); 
BGl_list1660z00zz__rgc_dfaz00 = 
MAKE_YOUNG_PAIR(BGl_symbol1661z00zz__rgc_dfaz00, 
MAKE_YOUNG_PAIR(BGl_list1663z00zz__rgc_dfaz00, 
MAKE_YOUNG_PAIR(BGl_list1666z00zz__rgc_dfaz00, BNIL))); 
BGl_list1657z00zz__rgc_dfaz00 = 
MAKE_YOUNG_PAIR(BGl_symbol1658z00zz__rgc_dfaz00, 
MAKE_YOUNG_PAIR(BGl_list1660z00zz__rgc_dfaz00, 
MAKE_YOUNG_PAIR(BGl_string1687z00zz__rgc_dfaz00, BNIL))); 
BGl_symbol1691z00zz__rgc_dfaz00 = 
bstring_to_symbol(BGl_string1692z00zz__rgc_dfaz00); 
BGl_symbol1694z00zz__rgc_dfaz00 = 
bstring_to_symbol(BGl_string1695z00zz__rgc_dfaz00); 
BGl_list1693z00zz__rgc_dfaz00 = 
MAKE_YOUNG_PAIR(BGl_symbol1694z00zz__rgc_dfaz00, 
MAKE_YOUNG_PAIR(BGl_symbol1647z00zz__rgc_dfaz00, BNIL)); 
BGl_list1690z00zz__rgc_dfaz00 = 
MAKE_YOUNG_PAIR(BGl_symbol1691z00zz__rgc_dfaz00, 
MAKE_YOUNG_PAIR(BGl_list1693z00zz__rgc_dfaz00, BNIL)); 
BGl_list1649z00zz__rgc_dfaz00 = 
MAKE_YOUNG_PAIR(BGl_symbol1650z00zz__rgc_dfaz00, 
MAKE_YOUNG_PAIR(BGl_string1652z00zz__rgc_dfaz00, 
MAKE_YOUNG_PAIR(BGl_list1653z00zz__rgc_dfaz00, 
MAKE_YOUNG_PAIR(BGl_string1656z00zz__rgc_dfaz00, 
MAKE_YOUNG_PAIR(BGl_list1657z00zz__rgc_dfaz00, 
MAKE_YOUNG_PAIR(BGl_string1688z00zz__rgc_dfaz00, 
MAKE_YOUNG_PAIR(BGl_string1689z00zz__rgc_dfaz00, 
MAKE_YOUNG_PAIR(BGl_list1690z00zz__rgc_dfaz00, BNIL)))))))); 
BGl_list1643z00zz__rgc_dfaz00 = 
MAKE_YOUNG_PAIR(BGl_symbol1644z00zz__rgc_dfaz00, 
MAKE_YOUNG_PAIR(BGl_list1646z00zz__rgc_dfaz00, 
MAKE_YOUNG_PAIR(BGl_list1649z00zz__rgc_dfaz00, BNIL))); 
BGl_symbol1697z00zz__rgc_dfaz00 = 
bstring_to_symbol(BGl_string1698z00zz__rgc_dfaz00); 
BGl_symbol1699z00zz__rgc_dfaz00 = 
bstring_to_symbol(BGl_string1700z00zz__rgc_dfaz00); 
BGl_list1696z00zz__rgc_dfaz00 = 
MAKE_YOUNG_PAIR(BGl_symbol1697z00zz__rgc_dfaz00, 
MAKE_YOUNG_PAIR(BGl_symbol1699z00zz__rgc_dfaz00, BNIL)); 
return ( 
BGl_list1640z00zz__rgc_dfaz00 = 
MAKE_YOUNG_PAIR(BGl_symbol1641z00zz__rgc_dfaz00, 
MAKE_YOUNG_PAIR(BGl_list1643z00zz__rgc_dfaz00, 
MAKE_YOUNG_PAIR(BGl_list1696z00zz__rgc_dfaz00, BNIL))), BUNSPEC) ;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__rgc_dfaz00(void)
{
{ /* Rgc/rgcdfa.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* prof-init */
obj_t BGl_profzd2initzd2zz__rgc_dfaz00(void)
{
{ /* Rgc/rgcdfa.scm 15 */
return 
write_bprof_table();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__rgc_dfaz00(void)
{
{ /* Rgc/rgcdfa.scm 15 */
BGl_bucketzd2lenzd2zz__rgc_dfaz00 = 64L; 
BGl_za2initialzd2stateza2zd2zz__rgc_dfaz00 = BUNSPEC; 
BGl_za2statesza2z00zz__rgc_dfaz00 = BUNSPEC; 
return ( 
BGl_za2statezd2numza2zd2zz__rgc_dfaz00 = BUNSPEC, BUNSPEC) ;} 

}



/* node->dfa */
BGL_EXPORTED_DEF obj_t BGl_nodezd2ze3dfaz31zz__rgc_dfaz00(obj_t BgL_rootz00_17, obj_t BgL_followposz00_18, obj_t BgL_positionsz00_19)
{
{ /* Rgc/rgcdfa.scm 71 */
BGl_initzd2statesz12zc0zz__rgc_dfaz00(); 
{ /* Rgc/rgcdfa.scm 78 */
 obj_t BgL_initialzd2statezd2_1237;
{ /* Rgc/rgcdfa.scm 78 */
 obj_t BgL_arg1235z00_1268;
BgL_arg1235z00_1268 = 
STRUCT_REF(
((obj_t)BgL_rootz00_17), 
(int)(0L)); 
BgL_initialzd2statezd2_1237 = 
BGl_makezd2statezd2zz__rgc_dfaz00(BgL_arg1235z00_1268); } 
BGl_za2initialzd2stateza2zd2zz__rgc_dfaz00 = BgL_initialzd2statezd2_1237; 
{ /* Rgc/rgcdfa.scm 81 */
 obj_t BgL_g1037z00_1239;
{ /* Rgc/rgcdfa.scm 81 */
 obj_t BgL_list1232z00_1267;
BgL_list1232z00_1267 = 
MAKE_YOUNG_PAIR(BgL_initialzd2statezd2_1237, BNIL); 
BgL_g1037z00_1239 = BgL_list1232z00_1267; } 
{ 
 obj_t BgL_dzd2stateszd2_1241;
BgL_dzd2stateszd2_1241 = BgL_g1037z00_1239; 
BgL_zc3z04anonymousza31203ze3z87_1242:
if(
NULLP(BgL_dzd2stateszd2_1241))
{ /* Rgc/rgcdfa.scm 83 */
return 
BGl_stateszd2listzd2zz__rgc_dfaz00();}  else 
{ /* Rgc/rgcdfa.scm 87 */
 obj_t BgL_newzd2dzd2statesz00_2059;
{ /* Rgc/rgcdfa.scm 87 */
 obj_t BgL_cellvalz00_2192;
BgL_cellvalz00_2192 = 
CDR(
((obj_t)BgL_dzd2stateszd2_1241)); 
BgL_newzd2dzd2statesz00_2059 = 
MAKE_CELL(BgL_cellvalz00_2192); } 
{ /* Rgc/rgcdfa.scm 87 */
 obj_t BgL_tz00_1245;
BgL_tz00_1245 = 
CAR(
((obj_t)BgL_dzd2stateszd2_1241)); 
{ /* Rgc/rgcdfa.scm 88 */
 obj_t BgL_tzd2positionszd2_1246;
BgL_tzd2positionszd2_1246 = 
STRUCT_REF(
((obj_t)BgL_tz00_1245), 
(int)(3L)); 
{ /* Rgc/rgcdfa.scm 89 */

{ /* Rgc/rgcdfa.scm 95 */
 obj_t BgL_arg1212z00_1248;
BgL_arg1212z00_1248 = 
BGl_inputzd2symbolzd2setz00zz__rgc_dfaz00(BgL_tzd2positionszd2_1246, BgL_positionsz00_19); 
{ /* Rgc/rgcdfa.scm 96 */
 obj_t BgL_zc3z04anonymousza31213ze3z87_2035;
BgL_zc3z04anonymousza31213ze3z87_2035 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31213ze3ze5zz__rgc_dfaz00, 
(int)(1L), 
(int)(6L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31213ze3z87_2035, 
(int)(0L), 
BINT(
VECTOR_LENGTH(BgL_positionsz00_19))); 
PROCEDURE_SET(BgL_zc3z04anonymousza31213ze3z87_2035, 
(int)(1L), BgL_followposz00_18); 
PROCEDURE_SET(BgL_zc3z04anonymousza31213ze3z87_2035, 
(int)(2L), BgL_positionsz00_19); 
PROCEDURE_SET(BgL_zc3z04anonymousza31213ze3z87_2035, 
(int)(3L), BgL_tzd2positionszd2_1246); 
PROCEDURE_SET(BgL_zc3z04anonymousza31213ze3z87_2035, 
(int)(4L), 
((obj_t)BgL_newzd2dzd2statesz00_2059)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31213ze3z87_2035, 
(int)(5L), BgL_tz00_1245); 
BGl_forzd2eachzd2rgcsetz00zz__rgc_setz00(BgL_zc3z04anonymousza31213ze3z87_2035, BgL_arg1212z00_1248); } } 
{ 
 obj_t BgL_dzd2stateszd2_2220;
BgL_dzd2stateszd2_2220 = 
CELL_REF(BgL_newzd2dzd2statesz00_2059); 
BgL_dzd2stateszd2_1241 = BgL_dzd2stateszd2_2220; 
goto BgL_zc3z04anonymousza31203ze3z87_1242;} } } } } } } } } 

}



/* &node->dfa */
obj_t BGl_z62nodezd2ze3dfaz53zz__rgc_dfaz00(obj_t BgL_envz00_2036, obj_t BgL_rootz00_2037, obj_t BgL_followposz00_2038, obj_t BgL_positionsz00_2039)
{
{ /* Rgc/rgcdfa.scm 71 */
{ /* Rgc/rgcdfa.scm 73 */
 obj_t BgL_auxz00_2228; obj_t BgL_auxz00_2221;
if(
VECTORP(BgL_positionsz00_2039))
{ /* Rgc/rgcdfa.scm 73 */
BgL_auxz00_2228 = BgL_positionsz00_2039
; }  else 
{ 
 obj_t BgL_auxz00_2231;
BgL_auxz00_2231 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1631z00zz__rgc_dfaz00, 
BINT(2485L), BGl_string1632z00zz__rgc_dfaz00, BGl_string1633z00zz__rgc_dfaz00, BgL_positionsz00_2039); 
FAILURE(BgL_auxz00_2231,BFALSE,BFALSE);} 
if(
VECTORP(BgL_followposz00_2038))
{ /* Rgc/rgcdfa.scm 73 */
BgL_auxz00_2221 = BgL_followposz00_2038
; }  else 
{ 
 obj_t BgL_auxz00_2224;
BgL_auxz00_2224 = 
BGl_typezd2errorzd2zz__errorz00(BGl_string1631z00zz__rgc_dfaz00, 
BINT(2485L), BGl_string1632z00zz__rgc_dfaz00, BGl_string1633z00zz__rgc_dfaz00, BgL_followposz00_2038); 
FAILURE(BgL_auxz00_2224,BFALSE,BFALSE);} 
return 
BGl_nodezd2ze3dfaz31zz__rgc_dfaz00(BgL_rootz00_2037, BgL_auxz00_2221, BgL_auxz00_2228);} } 

}



/* &<@anonymous:1213> */
obj_t BGl_z62zc3z04anonymousza31213ze3ze5zz__rgc_dfaz00(obj_t BgL_envz00_2040, obj_t BgL_az00_2047)
{
{ /* Rgc/rgcdfa.scm 95 */
{ /* Rgc/rgcdfa.scm 96 */
 long BgL_positionszd2numzd2_2041; obj_t BgL_followposz00_2042; obj_t BgL_positionsz00_2043; obj_t BgL_tzd2positionszd2_2044; obj_t BgL_newzd2dzd2statesz00_2045; obj_t BgL_tz00_2046;
BgL_positionszd2numzd2_2041 = 
(long)CINT(
PROCEDURE_REF(BgL_envz00_2040, 
(int)(0L))); 
BgL_followposz00_2042 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2040, 
(int)(1L))); 
BgL_positionsz00_2043 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2040, 
(int)(2L))); 
BgL_tzd2positionszd2_2044 = 
PROCEDURE_REF(BgL_envz00_2040, 
(int)(3L)); 
BgL_newzd2dzd2statesz00_2045 = 
PROCEDURE_REF(BgL_envz00_2040, 
(int)(4L)); 
BgL_tz00_2046 = 
PROCEDURE_REF(BgL_envz00_2040, 
(int)(5L)); 
{ /* Rgc/rgcdfa.scm 96 */
 obj_t BgL_uz00_2090; obj_t BgL_uzd2emptyzf3z21_2091;
BgL_uz00_2090 = 
BGl_makezd2rgcsetzd2zz__rgc_setz00(BgL_positionszd2numzd2_2041); 
BgL_uzd2emptyzf3z21_2091 = 
MAKE_CELL(BTRUE); 
{ /* Rgc/rgcdfa.scm 100 */
 obj_t BgL_zc3z04anonymousza31216ze3z87_2092;
BgL_zc3z04anonymousza31216ze3z87_2092 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31216ze3ze5zz__rgc_dfaz00, 
(int)(1L), 
(int)(5L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31216ze3z87_2092, 
(int)(0L), 
((obj_t)BgL_uzd2emptyzf3z21_2091)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31216ze3z87_2092, 
(int)(1L), BgL_followposz00_2042); 
PROCEDURE_SET(BgL_zc3z04anonymousza31216ze3z87_2092, 
(int)(2L), BgL_uz00_2090); 
PROCEDURE_SET(BgL_zc3z04anonymousza31216ze3z87_2092, 
(int)(3L), BgL_positionsz00_2043); 
PROCEDURE_SET(BgL_zc3z04anonymousza31216ze3z87_2092, 
(int)(4L), BgL_az00_2047); 
BGl_forzd2eachzd2rgcsetz00zz__rgc_setz00(BgL_zc3z04anonymousza31216ze3z87_2092, BgL_tzd2positionszd2_2044); } 
if(
CBOOL(
CELL_REF(BgL_uzd2emptyzf3z21_2091)))
{ /* Rgc/rgcdfa.scm 107 */
return BFALSE;}  else 
{ /* Rgc/rgcdfa.scm 108 */
 obj_t BgL_usz00_2093;
{ /* Rgc/rgcdfa.scm 108 */
 obj_t BgL_ostatez00_2094;
BgL_ostatez00_2094 = 
BGl_hashtablezd2getzd2zz__hashz00(BGl_za2statesza2z00zz__rgc_dfaz00, BgL_uz00_2090); 
{ /* Rgc/rgcdfa.scm 110 */
 bool_t BgL_test1750z00_2270;
if(
STRUCTP(BgL_ostatez00_2094))
{ /* Rgc/rgcdfa.scm 149 */
BgL_test1750z00_2270 = 
(
STRUCT_KEY(BgL_ostatez00_2094)==BGl_symbol1634z00zz__rgc_dfaz00)
; }  else 
{ /* Rgc/rgcdfa.scm 149 */
BgL_test1750z00_2270 = ((bool_t)0)
; } 
if(BgL_test1750z00_2270)
{ /* Rgc/rgcdfa.scm 110 */
BgL_usz00_2093 = BgL_ostatez00_2094; }  else 
{ /* Rgc/rgcdfa.scm 111 */
 obj_t BgL_newzd2statezd2_2095;
BgL_newzd2statezd2_2095 = 
BGl_makezd2statezd2zz__rgc_dfaz00(BgL_uz00_2090); 
{ /* Rgc/rgcdfa.scm 114 */
 obj_t BgL_auxz00_2096;
BgL_auxz00_2096 = 
MAKE_YOUNG_PAIR(BgL_newzd2statezd2_2095, 
CELL_REF(BgL_newzd2dzd2statesz00_2045)); 
CELL_SET(BgL_newzd2dzd2statesz00_2045, BgL_auxz00_2096); } 
BgL_usz00_2093 = BgL_newzd2statezd2_2095; } } } 
return 
BGl_statezd2addzd2transitionz12z12zz__rgc_dfaz00(BgL_tz00_2046, BgL_az00_2047, BgL_usz00_2093);} } } } 

}



/* &<@anonymous:1216> */
obj_t BGl_z62zc3z04anonymousza31216ze3ze5zz__rgc_dfaz00(obj_t BgL_envz00_2051, obj_t BgL_pz00_2057)
{
{ /* Rgc/rgcdfa.scm 99 */
{ /* Rgc/rgcdfa.scm 100 */
 obj_t BgL_uzd2emptyzf3z21_2052; obj_t BgL_followposz00_2053; obj_t BgL_uz00_2054; obj_t BgL_positionsz00_2055; obj_t BgL_az00_2056;
BgL_uzd2emptyzf3z21_2052 = 
PROCEDURE_REF(BgL_envz00_2051, 
(int)(0L)); 
BgL_followposz00_2053 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2051, 
(int)(1L))); 
BgL_uz00_2054 = 
PROCEDURE_REF(BgL_envz00_2051, 
(int)(2L)); 
BgL_positionsz00_2055 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2051, 
(int)(3L))); 
BgL_az00_2056 = 
PROCEDURE_REF(BgL_envz00_2051, 
(int)(4L)); 
{ /* Rgc/rgcdfa.scm 100 */
 bool_t BgL_test1752z00_2290;
{ /* Rgc/rgcdfa.scm 100 */
 obj_t BgL_arg1230z00_2097;
BgL_arg1230z00_2097 = 
VECTOR_REF(BgL_positionsz00_2055,
(long)CINT(BgL_pz00_2057)); 
BgL_test1752z00_2290 = 
(
(long)CINT(BgL_az00_2056)==
(long)CINT(BgL_arg1230z00_2097)); } 
if(BgL_test1752z00_2290)
{ /* Rgc/rgcdfa.scm 100 */
{ /* Rgc/rgcdfa.scm 102 */
 obj_t BgL_auxz00_2098;
BgL_auxz00_2098 = BFALSE; 
CELL_SET(BgL_uzd2emptyzf3z21_2052, BgL_auxz00_2098); } 
return 
BGl_rgcsetzd2orz12zc0zz__rgc_setz00(BgL_uz00_2054, 
VECTOR_REF(BgL_followposz00_2053,
(long)CINT(BgL_pz00_2057)));}  else 
{ /* Rgc/rgcdfa.scm 100 */
return BFALSE;} } } } 

}



/* reset-dfa! */
BGL_EXPORTED_DEF obj_t BGl_resetzd2dfaz12zc0zz__rgc_dfaz00(void)
{
{ /* Rgc/rgcdfa.scm 128 */
BGl_za2initialzd2stateza2zd2zz__rgc_dfaz00 = BUNSPEC; 
BGl_za2statesza2z00zz__rgc_dfaz00 = BUNSPEC; 
return ( 
BGl_za2statezd2numza2zd2zz__rgc_dfaz00 = BUNSPEC, BUNSPEC) ;} 

}



/* &reset-dfa! */
obj_t BGl_z62resetzd2dfaz12za2zz__rgc_dfaz00(obj_t BgL_envz00_2061)
{
{ /* Rgc/rgcdfa.scm 128 */
return 
BGl_resetzd2dfaz12zc0zz__rgc_dfaz00();} 

}



/* get-initial-state */
BGL_EXPORTED_DEF obj_t BGl_getzd2initialzd2statez00zz__rgc_dfaz00(void)
{
{ /* Rgc/rgcdfa.scm 141 */
return BGl_za2initialzd2stateza2zd2zz__rgc_dfaz00;} 

}



/* &get-initial-state */
obj_t BGl_z62getzd2initialzd2statez62zz__rgc_dfaz00(obj_t BgL_envz00_2062)
{
{ /* Rgc/rgcdfa.scm 141 */
return 
BGl_getzd2initialzd2statez00zz__rgc_dfaz00();} 

}



/* states-list */
obj_t BGl_stateszd2listzd2zz__rgc_dfaz00(void)
{
{ /* Rgc/rgcdfa.scm 159 */
return 
BGl_hashtablezd2ze3listz31zz__hashz00(BGl_za2statesza2z00zz__rgc_dfaz00);} 

}



/* init-states! */
obj_t BGl_initzd2statesz12zc0zz__rgc_dfaz00(void)
{
{ /* Rgc/rgcdfa.scm 165 */
BGl_za2statezd2numza2zd2zz__rgc_dfaz00 = 
BINT(-1L); 
{ /* Rgc/rgcdfa.scm 167 */
 obj_t BgL_list1256z00_1282;
{ /* Rgc/rgcdfa.scm 167 */
 obj_t BgL_arg1258z00_1283;
{ /* Rgc/rgcdfa.scm 167 */
 obj_t BgL_arg1261z00_1284;
{ /* Rgc/rgcdfa.scm 167 */
 obj_t BgL_arg1262z00_1285;
BgL_arg1262z00_1285 = 
MAKE_YOUNG_PAIR(BGl_rgcsetzd2ze3hashzd2envze3zz__rgc_setz00, BNIL); 
BgL_arg1261z00_1284 = 
MAKE_YOUNG_PAIR(BGl_rgcsetzd2equalzf3zd2envzf3zz__rgc_setz00, BgL_arg1262z00_1285); } 
BgL_arg1258z00_1283 = 
MAKE_YOUNG_PAIR(
BINT(64L), BgL_arg1261z00_1284); } 
BgL_list1256z00_1282 = 
MAKE_YOUNG_PAIR(
BINT(1024L), BgL_arg1258z00_1283); } 
return ( 
BGl_za2statesza2z00zz__rgc_dfaz00 = 
BGl_makezd2hashtablezd2zz__hashz00(BgL_list1256z00_1282), BUNSPEC) ;} } 

}



/* get-new-state-num */
obj_t BGl_getzd2newzd2statezd2numzd2zz__rgc_dfaz00(void)
{
{ /* Rgc/rgcdfa.scm 177 */
BGl_za2statezd2numza2zd2zz__rgc_dfaz00 = 
ADDFX(BGl_za2statezd2numza2zd2zz__rgc_dfaz00, 
BINT(1L)); 
return BGl_za2statezd2numza2zd2zz__rgc_dfaz00;} 

}



/* make-state */
obj_t BGl_makezd2statezd2zz__rgc_dfaz00(obj_t BgL_positionsz00_38)
{
{ /* Rgc/rgcdfa.scm 187 */
{ /* Rgc/rgcdfa.scm 188 */
 obj_t BgL_numz00_1286;
BgL_numz00_1286 = 
BGl_getzd2newzd2statezd2numzd2zz__rgc_dfaz00(); 
{ /* Rgc/rgcdfa.scm 188 */
 obj_t BgL_namez00_1287;
{ /* Rgc/rgcdfa.scm 189 */
 obj_t BgL_arg1264z00_1290;
{ /* Rgc/rgcdfa.scm 189 */
 obj_t BgL_arg1266z00_1291;
{ /* Ieee/number.scm 174 */

BgL_arg1266z00_1291 = 
BGl_numberzd2ze3stringz31zz__r4_numbers_6_5z00(BgL_numz00_1286, 
BINT(10L)); } 
BgL_arg1264z00_1290 = 
string_append_3(BGl_string1636z00zz__rgc_dfaz00, BgL_arg1266z00_1291, BGl_string1637z00zz__rgc_dfaz00); } 
BgL_namez00_1287 = 
BGl_gensymz00zz__r4_symbols_6_4z00(BgL_arg1264z00_1290); } 
{ /* Rgc/rgcdfa.scm 189 */
 obj_t BgL_statez00_1288;
{ /* Rgc/rgcdfa.scm 149 */
 obj_t BgL_newz00_1785;
BgL_newz00_1785 = 
create_struct(BGl_symbol1634z00zz__rgc_dfaz00, 
(int)(4L)); 
{ /* Rgc/rgcdfa.scm 149 */
 int BgL_tmpz00_2319;
BgL_tmpz00_2319 = 
(int)(3L); 
STRUCT_SET(BgL_newz00_1785, BgL_tmpz00_2319, BgL_positionsz00_38); } 
{ /* Rgc/rgcdfa.scm 149 */
 int BgL_tmpz00_2322;
BgL_tmpz00_2322 = 
(int)(2L); 
STRUCT_SET(BgL_newz00_1785, BgL_tmpz00_2322, BNIL); } 
{ /* Rgc/rgcdfa.scm 149 */
 int BgL_tmpz00_2325;
BgL_tmpz00_2325 = 
(int)(1L); 
STRUCT_SET(BgL_newz00_1785, BgL_tmpz00_2325, BgL_numz00_1286); } 
{ /* Rgc/rgcdfa.scm 149 */
 int BgL_tmpz00_2328;
BgL_tmpz00_2328 = 
(int)(0L); 
STRUCT_SET(BgL_newz00_1785, BgL_tmpz00_2328, BgL_namez00_1287); } 
BgL_statez00_1288 = BgL_newz00_1785; } 
{ /* Rgc/rgcdfa.scm 190 */

{ /* Rgc/rgcdfa.scm 192 */
 obj_t BgL_arg1263z00_1289;
BgL_arg1263z00_1289 = 
STRUCT_REF(BgL_statez00_1288, 
(int)(3L)); 
BGl_hashtablezd2putz12zc0zz__hashz00(BGl_za2statesza2z00zz__rgc_dfaz00, BgL_arg1263z00_1289, BgL_statez00_1288); } 
return BgL_statez00_1288;} } } } } 

}



/* state-positions */
BGL_EXPORTED_DEF obj_t BGl_statezd2positionszd2zz__rgc_dfaz00(obj_t BgL_statez00_40)
{
{ /* Rgc/rgcdfa.scm 206 */
return 
STRUCT_REF(
((obj_t)BgL_statez00_40), 
(int)(3L));} 

}



/* &state-positions */
obj_t BGl_z62statezd2positionszb0zz__rgc_dfaz00(obj_t BgL_envz00_2068, obj_t BgL_statez00_2069)
{
{ /* Rgc/rgcdfa.scm 206 */
return 
BGl_statezd2positionszd2zz__rgc_dfaz00(BgL_statez00_2069);} 

}



/* state-name */
BGL_EXPORTED_DEF obj_t BGl_statezd2namezd2zz__rgc_dfaz00(obj_t BgL_statez00_41)
{
{ /* Rgc/rgcdfa.scm 212 */
return 
STRUCT_REF(
((obj_t)BgL_statez00_41), 
(int)(0L));} 

}



/* &state-name */
obj_t BGl_z62statezd2namezb0zz__rgc_dfaz00(obj_t BgL_envz00_2070, obj_t BgL_statez00_2071)
{
{ /* Rgc/rgcdfa.scm 212 */
return 
BGl_statezd2namezd2zz__rgc_dfaz00(BgL_statez00_2071);} 

}



/* state-transitions */
BGL_EXPORTED_DEF obj_t BGl_statezd2transitionszd2zz__rgc_dfaz00(obj_t BgL_statez00_43)
{
{ /* Rgc/rgcdfa.scm 224 */
return 
STRUCT_REF(
((obj_t)BgL_statez00_43), 
(int)(2L));} 

}



/* &state-transitions */
obj_t BGl_z62statezd2transitionszb0zz__rgc_dfaz00(obj_t BgL_envz00_2072, obj_t BgL_statez00_2073)
{
{ /* Rgc/rgcdfa.scm 224 */
return 
BGl_statezd2transitionszd2zz__rgc_dfaz00(BgL_statez00_2073);} 

}



/* state? */
BGL_EXPORTED_DEF bool_t BGl_statezf3zf3zz__rgc_dfaz00(obj_t BgL_objz00_44)
{
{ /* Rgc/rgcdfa.scm 230 */
if(
STRUCTP(BgL_objz00_44))
{ /* Rgc/rgcdfa.scm 149 */
return 
(
STRUCT_KEY(BgL_objz00_44)==BGl_symbol1634z00zz__rgc_dfaz00);}  else 
{ /* Rgc/rgcdfa.scm 149 */
return ((bool_t)0);} } 

}



/* &state? */
obj_t BGl_z62statezf3z91zz__rgc_dfaz00(obj_t BgL_envz00_2074, obj_t BgL_objz00_2075)
{
{ /* Rgc/rgcdfa.scm 230 */
return 
BBOOL(
BGl_statezf3zf3zz__rgc_dfaz00(BgL_objz00_2075));} 

}



/* state-add-transition! */
obj_t BGl_statezd2addzd2transitionz12z12zz__rgc_dfaz00(obj_t BgL_fromz00_45, obj_t BgL_charz00_46, obj_t BgL_toz00_47)
{
{ /* Rgc/rgcdfa.scm 236 */
{ /* Rgc/rgcdfa.scm 239 */
 obj_t BgL_arg1267z00_1294;
{ /* Rgc/rgcdfa.scm 239 */
 obj_t BgL_arg1268z00_1295; obj_t BgL_arg1269z00_1296;
BgL_arg1268z00_1295 = 
MAKE_YOUNG_PAIR(BgL_charz00_46, BgL_toz00_47); 
BgL_arg1269z00_1296 = 
STRUCT_REF(
((obj_t)BgL_fromz00_45), 
(int)(2L)); 
BgL_arg1267z00_1294 = 
MAKE_YOUNG_PAIR(BgL_arg1268z00_1295, BgL_arg1269z00_1296); } 
{ /* Rgc/rgcdfa.scm 149 */
 obj_t BgL_xz00_2089;
{ /* Rgc/rgcdfa.scm 149 */
 int BgL_auxz00_2359; obj_t BgL_tmpz00_2357;
BgL_auxz00_2359 = 
(int)(2L); 
BgL_tmpz00_2357 = 
((obj_t)BgL_fromz00_45); 
BgL_xz00_2089 = 
STRUCT_SET(BgL_tmpz00_2357, BgL_auxz00_2359, BgL_arg1267z00_1294); } 
return BUNSPEC;} } } 

}



/* input-symbol-set */
obj_t BGl_inputzd2symbolzd2setz00zz__rgc_dfaz00(obj_t BgL_positionzd2setzd2_48, obj_t BgL_positionsz00_49)
{
{ /* Rgc/rgcdfa.scm 244 */
{ /* Rgc/rgcdfa.scm 245 */
 obj_t BgL_symbolzd2setzd2_1297;
{ /* Rgc/rgcdfa.scm 245 */
 obj_t BgL_arg1273z00_1303;
BgL_arg1273z00_1303 = 
BGl_treezd2maxzd2charz00zz__rgc_rulesz00(); 
BgL_symbolzd2setzd2_1297 = 
BGl_makezd2rgcsetzd2zz__rgc_setz00(
(long)CINT(BgL_arg1273z00_1303)); } 
{ /* Rgc/rgcdfa.scm 247 */
 obj_t BgL_zc3z04anonymousza31271ze3z87_2076;
BgL_zc3z04anonymousza31271ze3z87_2076 = 
MAKE_FX_PROCEDURE(BGl_z62zc3z04anonymousza31271ze3ze5zz__rgc_dfaz00, 
(int)(1L), 
(int)(2L)); 
PROCEDURE_SET(BgL_zc3z04anonymousza31271ze3z87_2076, 
(int)(0L), BgL_positionsz00_49); 
PROCEDURE_SET(BgL_zc3z04anonymousza31271ze3z87_2076, 
(int)(1L), BgL_symbolzd2setzd2_1297); 
BGl_forzd2eachzd2rgcsetz00zz__rgc_setz00(BgL_zc3z04anonymousza31271ze3z87_2076, BgL_positionzd2setzd2_48); } 
return BgL_symbolzd2setzd2_1297;} } 

}



/* &<@anonymous:1271> */
obj_t BGl_z62zc3z04anonymousza31271ze3ze5zz__rgc_dfaz00(obj_t BgL_envz00_2077, obj_t BgL_iz00_2080)
{
{ /* Rgc/rgcdfa.scm 246 */
{ /* Rgc/rgcdfa.scm 247 */
 obj_t BgL_positionsz00_2078; obj_t BgL_symbolzd2setzd2_2079;
BgL_positionsz00_2078 = 
((obj_t)
PROCEDURE_REF(BgL_envz00_2077, 
(int)(0L))); 
BgL_symbolzd2setzd2_2079 = 
PROCEDURE_REF(BgL_envz00_2077, 
(int)(1L)); 
{ /* Rgc/rgcdfa.scm 247 */
 obj_t BgL_arg1272z00_2099;
BgL_arg1272z00_2099 = 
VECTOR_REF(BgL_positionsz00_2078,
(long)CINT(BgL_iz00_2080)); 
return 
BGl_rgcsetzd2addz12zc0zz__rgc_setz00(BgL_symbolzd2setzd2_2079, 
(long)CINT(BgL_arg1272z00_2099));} } } 

}



/* print-dfa */
BGL_EXPORTED_DEF obj_t BGl_printzd2dfazd2zz__rgc_dfaz00(obj_t BgL_dfaz00_50)
{
{ /* Rgc/rgcdfa.scm 254 */
{ /* Rgc/rgcdfa.scm 255 */
 obj_t BgL_port1085z00_1304;
{ /* Rgc/rgcdfa.scm 255 */
 obj_t BgL_tmpz00_2382;
BgL_tmpz00_2382 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_port1085z00_1304 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_2382); } 
bgl_display_string(BGl_string1638z00zz__rgc_dfaz00, BgL_port1085z00_1304); 
bgl_display_char(((unsigned char)10), BgL_port1085z00_1304); } 
{ 
 obj_t BgL_l1087z00_1306;
BgL_l1087z00_1306 = BgL_dfaz00_50; 
BgL_zc3z04anonymousza31274ze3z87_1307:
if(
PAIRP(BgL_l1087z00_1306))
{ /* Rgc/rgcdfa.scm 256 */
{ /* Rgc/rgcdfa.scm 257 */
 obj_t BgL_statez00_1309;
BgL_statez00_1309 = 
CAR(BgL_l1087z00_1306); 
{ /* Rgc/rgcdfa.scm 257 */
 obj_t BgL_port1086z00_1310;
{ /* Rgc/rgcdfa.scm 257 */
 obj_t BgL_tmpz00_2390;
BgL_tmpz00_2390 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_port1086z00_1310 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_2390); } 
bgl_display_string(BGl_string1639z00zz__rgc_dfaz00, BgL_port1086z00_1310); 
{ /* Rgc/rgcdfa.scm 257 */
 obj_t BgL_arg1278z00_1311;
BgL_arg1278z00_1311 = 
STRUCT_REF(
((obj_t)BgL_statez00_1309), 
(int)(1L)); 
bgl_display_obj(BgL_arg1278z00_1311, BgL_port1086z00_1310); } 
bgl_display_char(((unsigned char)10), BgL_port1086z00_1310); } BGl_list1640z00zz__rgc_dfaz00; } 
{ 
 obj_t BgL_l1087z00_2399;
BgL_l1087z00_2399 = 
CDR(BgL_l1087z00_1306); 
BgL_l1087z00_1306 = BgL_l1087z00_2399; 
goto BgL_zc3z04anonymousza31274ze3z87_1307;} }  else 
{ /* Rgc/rgcdfa.scm 256 */((bool_t)1); } } 
{ /* Rgc/rgcdfa.scm 273 */
 obj_t BgL_port1089z00_1314;
{ /* Rgc/rgcdfa.scm 273 */
 obj_t BgL_tmpz00_2401;
BgL_tmpz00_2401 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_port1089z00_1314 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_2401); } 
bgl_display_string(BGl_string1701z00zz__rgc_dfaz00, BgL_port1089z00_1314); 
bgl_display_char(((unsigned char)10), BgL_port1089z00_1314); } 
{ /* Rgc/rgcdfa.scm 274 */
 obj_t BgL_arg1286z00_1315;
{ /* Rgc/rgcdfa.scm 274 */
 obj_t BgL_tmpz00_2406;
BgL_tmpz00_2406 = 
BGL_CURRENT_DYNAMIC_ENV(); 
BgL_arg1286z00_1315 = 
BGL_ENV_CURRENT_OUTPUT_PORT(BgL_tmpz00_2406); } 
return 
bgl_display_char(((unsigned char)10), BgL_arg1286z00_1315);} } 

}



/* &print-dfa */
obj_t BGl_z62printzd2dfazb0zz__rgc_dfaz00(obj_t BgL_envz00_2081, obj_t BgL_dfaz00_2082)
{
{ /* Rgc/rgcdfa.scm 254 */
return 
BGl_printzd2dfazd2zz__rgc_dfaz00(BgL_dfaz00_2082);} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__rgc_dfaz00(void)
{
{ /* Rgc/rgcdfa.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__rgc_dfaz00(void)
{
{ /* Rgc/rgcdfa.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__rgc_dfaz00(void)
{
{ /* Rgc/rgcdfa.scm 15 */
return BUNSPEC;} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__rgc_dfaz00(void)
{
{ /* Rgc/rgcdfa.scm 15 */
BGl_modulezd2initializa7ationz75zz__rgc_configz00(428274736L, 
BSTRING_TO_STRING(BGl_string1702z00zz__rgc_dfaz00)); 
BGl_modulezd2initializa7ationz75zz__rgc_setz00(225075643L, 
BSTRING_TO_STRING(BGl_string1702z00zz__rgc_dfaz00)); 
BGl_modulezd2initializa7ationz75zz__rgc_rulesz00(181068393L, 
BSTRING_TO_STRING(BGl_string1702z00zz__rgc_dfaz00)); 
return 
BGl_modulezd2initializa7ationz75zz__errorz00(88804785L, 
BSTRING_TO_STRING(BGl_string1702z00zz__rgc_dfaz00));} 

}

#ifdef __cplusplus
}
#endif
