/*===========================================================================*/
/*   (Llib/idle.scm)                                                         */
/*   Bigloo (4.5b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Fri Dec 22 05:19:23 PM CET 2023     */
/*===========================================================================*/
/* COMPILATION: (/builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/bin/bigloo -ldopt -L/builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/libbacktrace/usr/lib64/bigloo/4.5b  -O3 -fcfa-arithmetic -rm -q -lib-dir /builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/lib/bigloo/4.5b -I Llib -lib-dir /builddir/build/BUILD/bigloo-4.5b-build/bigloo-4.5b/lib/bigloo/4.5b -srfi libuv -copt  -DBGL_DUMMY -safee -unsafe -copt -fPIC -copt -IClib Llib/idle.scm -o objs/idle.o -c) */
/* GC selection */
#define THE_GC BOEHM_GC

/* unsafe mode */
#define BIGLOO_UNSAFE 1

/* traces mode */
#define BIGLOO_TRACE 0

/* standard Bigloo include */
#include <bigloo.h>
#include <uv.h>
#include <buv.h>

#ifdef __cplusplus
extern "C" {
#endif
#ifndef BGL_MODULE_TYPE_DEFINITIONS
#define BGL_MODULE_TYPE_DEFINITIONS
#ifndef BGL___LIBUV_IDLE_TYPE_DEFINITIONS
#define BGL___LIBUV_IDLE_TYPE_DEFINITIONS

/* object type definitions */
typedef struct BgL_uvhandlez00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   obj_t BgL_z52gcmarkz52;
   bool_t BgL_closedz00;
} *BgL_uvhandlez00_bglt;

typedef struct BgL_uvloopz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   obj_t BgL_z52gcmarkz52;
   bool_t BgL_closedz00;
   obj_t BgL_z52mutexz52;
} *BgL_uvloopz00_bglt;

typedef struct BgL_uvwatcherz00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   obj_t BgL_z52gcmarkz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_cbz00;
   void * BgL_z52dataz52;
} *BgL_uvwatcherz00_bglt;

typedef struct BgL_uvidlez00_bgl {
   header_t header;
   obj_t widening;
   uv_handle_t * BgL_z42builtinz42;
   obj_t BgL_z52onclosez52;
   obj_t BgL_z52gcmarksheadz52;
   obj_t BgL_z52gcmarkstailz52;
   obj_t BgL_z52gcmarkz52;
   bool_t BgL_closedz00;
   struct BgL_uvloopz00_bgl * BgL_loopz00;
   obj_t BgL_cbz00;
   void * BgL_z52dataz52;
} *BgL_uvidlez00_bglt;


#endif // BGL___LIBUV_IDLE_TYPE_DEFINITIONS
#endif // BGL_MODULE_TYPE_DEFINITIONS

BGL_EXPORTED_DECL obj_t BGl_uvzd2idlezd2startz00zz__libuv_idlez00(BgL_uvidlez00_bglt);
static obj_t BGl_requirezd2initializa7ationz75zz__libuv_idlez00 = BUNSPEC;
static obj_t BGl_toplevelzd2initzd2zz__libuv_idlez00(void);
static obj_t BGl_genericzd2initzd2zz__libuv_idlez00(void);
static obj_t BGl_objectzd2initzd2zz__libuv_idlez00(void);
extern obj_t BGl_UvIdlez00zz__libuv_typesz00;
BGL_EXPORTED_DECL obj_t BGl_uvzd2idlezd2stopz00zz__libuv_idlez00(BgL_uvidlez00_bglt);
static obj_t BGl_methodzd2initzd2zz__libuv_idlez00(void);
extern int bgl_uv_idle_start(obj_t, obj_t);
extern int bgl_uv_idle_stop(obj_t);
static obj_t BGl_z62z52uvzd2initzd2UvIdle1070z30zz__libuv_idlez00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_errorz00zz__errorz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__libuv_idlez00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__libuv_typesz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__readerz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__objectz00(long, char *);
BGL_IMPORT obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
static obj_t BGl_z62uvzd2idlezd2startz62zz__libuv_idlez00(obj_t, obj_t);
static obj_t BGl_libraryzd2moduleszd2initz00zz__libuv_idlez00(void);
static obj_t BGl_importedzd2moduleszd2initz00zz__libuv_idlez00(void);
static obj_t BGl_gczd2rootszd2initz00zz__libuv_idlez00(void);
extern uv_idle_t * bgl_uv_idle_new(BgL_uvidlez00_bglt, BgL_uvloopz00_bglt);
static obj_t BGl_z62uvzd2idlezd2stopz62zz__libuv_idlez00(obj_t, obj_t);
BGL_IMPORT obj_t BGl_genericzd2addzd2methodz12z12zz__objectz00(obj_t, obj_t, obj_t, obj_t);
static obj_t *__cnst;


DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2idlezd2startzd2envzd2zz__libuv_idlez00, BgL_bgl_za762uvza7d2idleza7d2s1114za7, BGl_z62uvzd2idlezd2startz62zz__libuv_idlez00, 0L, BUNSPEC, 1 );
DEFINE_EXPORT_BGL_PROCEDURE( BGl_uvzd2idlezd2stopzd2envzd2zz__libuv_idlez00, BgL_bgl_za762uvza7d2idleza7d2s1115za7, BGl_z62uvzd2idlezd2stopz62zz__libuv_idlez00, 0L, BUNSPEC, 1 );
extern obj_t BGl_z52uvzd2initzd2envz52zz__libuv_typesz00;
DEFINE_STRING( BGl_string1109z00zz__libuv_idlez00, BgL_bgl_string1109za700za7za7_1116za7, "uv-idle-start", 13 );
DEFINE_STRING( BGl_string1110z00zz__libuv_idlez00, BgL_bgl_string1110za700za7za7_1117za7, "wrong callback", 14 );
DEFINE_STRING( BGl_string1112z00zz__libuv_idlez00, BgL_bgl_string1112za700za7za7_1118za7, "%uv-init", 8 );
DEFINE_STRING( BGl_string1113z00zz__libuv_idlez00, BgL_bgl_string1113za700za7za7_1119za7, "__libuv_idle", 12 );
DEFINE_STATIC_BGL_PROCEDURE( BGl_proc1111z00zz__libuv_idlez00, BgL_bgl_za762za752uvza7d2initza71120z00, BGl_z62z52uvzd2initzd2UvIdle1070z30zz__libuv_idlez00, 0L, BUNSPEC, 1 );

/* GC roots registration */
static obj_t bgl_gc_roots_register() {
#if defined( BGL_GC_ROOTS )
#define ADD_ROOT( addr ) (addr > roots_max ? roots_max = addr : (addr < roots_min ? roots_min = addr : 0))
void *roots_min = (void*)ULONG_MAX, *roots_max = 0;
ADD_ROOT( (void *)(&BGl_requirezd2initializa7ationz75zz__libuv_idlez00) );
#undef ADD_ROOT
if( roots_max > 0 ) GC_add_roots( roots_min, ((void **)roots_max) + 1 );
#endif
return BUNSPEC;
}



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__libuv_idlez00(long BgL_checksumz00_56, char * BgL_fromz00_57)
{
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__libuv_idlez00))
{ 
BGl_requirezd2initializa7ationz75zz__libuv_idlez00 = 
BBOOL(((bool_t)0)); 
BGl_gczd2rootszd2initz00zz__libuv_idlez00(); 
BGl_libraryzd2moduleszd2initz00zz__libuv_idlez00(); 
BGl_importedzd2moduleszd2initz00zz__libuv_idlez00(); 
BGl_methodzd2initzd2zz__libuv_idlez00(); 
return 
BGl_toplevelzd2initzd2zz__libuv_idlez00();}  else 
{ 
return BUNSPEC;} } 

}



/* library-modules-init */
obj_t BGl_libraryzd2moduleszd2initz00zz__libuv_idlez00(void)
{
{ /* Llib/idle.scm 15 */
BGl_modulezd2initializa7ationz75zz__errorz00(0L, "__libuv_idle"); 
BGl_modulezd2initializa7ationz75zz__objectz00(0L, "__libuv_idle"); 
BGl_modulezd2initializa7ationz75zz__r4_control_features_6_9z00(0L, "__libuv_idle"); 
BGl_modulezd2initializa7ationz75zz__readerz00(0L, "__libuv_idle"); 
return BUNSPEC;} 

}



/* gc-roots-init */
obj_t BGl_gczd2rootszd2initz00zz__libuv_idlez00(void)
{
{ /* Llib/idle.scm 15 */
return 
bgl_gc_roots_register();} 

}



/* toplevel-init */
obj_t BGl_toplevelzd2initzd2zz__libuv_idlez00(void)
{
{ /* Llib/idle.scm 15 */
return BUNSPEC;} 

}



/* uv-idle-start */
BGL_EXPORTED_DEF obj_t BGl_uvzd2idlezd2startz00zz__libuv_idlez00(BgL_uvidlez00_bglt BgL_oz00_4)
{
{ /* Llib/idle.scm 35 */
{ /* Llib/idle.scm 37 */
 bool_t BgL_test1122z00_71;
{ /* Llib/idle.scm 37 */
 obj_t BgL_arg1096z00_25;
BgL_arg1096z00_25 = 
(((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_oz00_4)))->BgL_cbz00); 
BgL_test1122z00_71 = 
PROCEDURE_CORRECT_ARITYP(BgL_arg1096z00_25, 
(int)(1L)); } 
if(BgL_test1122z00_71)
{ /* Llib/idle.scm 39 */
 obj_t BgL_arg1093z00_23;
BgL_arg1093z00_23 = 
(((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)BgL_oz00_4)))->BgL_cbz00); 
return 
BINT(
bgl_uv_idle_start(
((obj_t)BgL_oz00_4), BgL_arg1093z00_23));}  else 
{ /* Llib/idle.scm 37 */
return 
BGl_errorz00zz__errorz00(BGl_string1109z00zz__libuv_idlez00, BGl_string1110z00zz__libuv_idlez00, 
((obj_t)BgL_oz00_4));} } } 

}



/* &uv-idle-start */
obj_t BGl_z62uvzd2idlezd2startz62zz__libuv_idlez00(obj_t BgL_envz00_44, obj_t BgL_oz00_45)
{
{ /* Llib/idle.scm 35 */
return 
BGl_uvzd2idlezd2startz00zz__libuv_idlez00(
((BgL_uvidlez00_bglt)BgL_oz00_45));} 

}



/* uv-idle-stop */
BGL_EXPORTED_DEF obj_t BGl_uvzd2idlezd2stopz00zz__libuv_idlez00(BgL_uvidlez00_bglt BgL_oz00_5)
{
{ /* Llib/idle.scm 44 */
return 
BINT(
bgl_uv_idle_stop(
((obj_t)BgL_oz00_5)));} 

}



/* &uv-idle-stop */
obj_t BGl_z62uvzd2idlezd2stopz62zz__libuv_idlez00(obj_t BgL_envz00_46, obj_t BgL_oz00_47)
{
{ /* Llib/idle.scm 44 */
return 
BGl_uvzd2idlezd2stopz00zz__libuv_idlez00(
((BgL_uvidlez00_bglt)BgL_oz00_47));} 

}



/* object-init */
obj_t BGl_objectzd2initzd2zz__libuv_idlez00(void)
{
{ /* Llib/idle.scm 15 */
return BUNSPEC;} 

}



/* generic-init */
obj_t BGl_genericzd2initzd2zz__libuv_idlez00(void)
{
{ /* Llib/idle.scm 15 */
return BUNSPEC;} 

}



/* method-init */
obj_t BGl_methodzd2initzd2zz__libuv_idlez00(void)
{
{ /* Llib/idle.scm 15 */
return 
BGl_genericzd2addzd2methodz12z12zz__objectz00(BGl_z52uvzd2initzd2envz52zz__libuv_typesz00, BGl_UvIdlez00zz__libuv_typesz00, BGl_proc1111z00zz__libuv_idlez00, BGl_string1112z00zz__libuv_idlez00);} 

}



/* &%uv-init-UvIdle1070 */
obj_t BGl_z62z52uvzd2initzd2UvIdle1070z30zz__libuv_idlez00(obj_t BgL_envz00_49, obj_t BgL_oz00_50)
{
{ /* Llib/idle.scm 27 */
{ 
 uv_handle_t * BgL_auxz00_91;
{ /* Llib/idle.scm 29 */
 uv_idle_t * BgL_arg1100z00_54;
{ /* Llib/idle.scm 29 */
 BgL_uvloopz00_bglt BgL_arg1101z00_55;
BgL_arg1101z00_55 = 
(((BgL_uvwatcherz00_bglt)COBJECT(
((BgL_uvwatcherz00_bglt)
((BgL_uvidlez00_bglt)BgL_oz00_50))))->BgL_loopz00); 
BgL_arg1100z00_54 = 
bgl_uv_idle_new(
((BgL_uvidlez00_bglt)BgL_oz00_50), BgL_arg1101z00_55); } 
BgL_auxz00_91 = 
(uv_handle_t *)(BgL_arg1100z00_54); } 
((((BgL_uvhandlez00_bglt)COBJECT(
((BgL_uvhandlez00_bglt)
((BgL_uvidlez00_bglt)BgL_oz00_50))))->BgL_z42builtinz42)=((uv_handle_t *)BgL_auxz00_91),BUNSPEC); } 
return 
((obj_t)
((BgL_uvidlez00_bglt)BgL_oz00_50));} 

}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__libuv_idlez00(void)
{
{ /* Llib/idle.scm 15 */
return 
BGl_modulezd2initializa7ationz75zz__libuv_typesz00(129964225L, 
BSTRING_TO_STRING(BGl_string1113z00zz__libuv_idlez00));} 

}

#ifdef __cplusplus
}
#endif
